Criar conexão MCP
curl --request POST \
--url https://api.notifique.dev/v1/mcp-connections \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"kind": "CUSTOM_URL",
"label": "string",
"description": "string",
"mcpUrl": "string",
"bearerToken": "string",
"customHeadersJson": {},
"metadata": {},
"allowInDashboardTest": true,
"allowInAutomation": true,
"allowInWebWidget": true
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
kind: 'CUSTOM_URL',
label: 'string',
description: 'string',
mcpUrl: 'string',
bearerToken: 'string',
customHeadersJson: {},
metadata: {},
allowInDashboardTest: true,
allowInAutomation: true,
allowInWebWidget: true
})
};
fetch('https://api.notifique.dev/v1/mcp-connections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.notifique.dev/v1/mcp-connections"
payload = {
"kind": "CUSTOM_URL",
"label": "string",
"description": "string",
"mcpUrl": "string",
"bearerToken": "string",
"customHeadersJson": {},
"metadata": {},
"allowInDashboardTest": True,
"allowInAutomation": True,
"allowInWebWidget": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.notifique.dev/v1/mcp-connections"
payload := strings.NewReader("{\n \"kind\": \"CUSTOM_URL\",\n \"label\": \"string\",\n \"description\": \"string\",\n \"mcpUrl\": \"string\",\n \"bearerToken\": \"string\",\n \"customHeadersJson\": {},\n \"metadata\": {},\n \"allowInDashboardTest\": true,\n \"allowInAutomation\": true,\n \"allowInWebWidget\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"success": true,
"data": {}
}MCP
Criar conexão MCP
Use CUSTOM_URL + bearerToken na API. Conectores curados exigem OAuth no painel.
POST
/
v1
/
mcp-connections
Criar conexão MCP
curl --request POST \
--url https://api.notifique.dev/v1/mcp-connections \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"kind": "CUSTOM_URL",
"label": "string",
"description": "string",
"mcpUrl": "string",
"bearerToken": "string",
"customHeadersJson": {},
"metadata": {},
"allowInDashboardTest": true,
"allowInAutomation": true,
"allowInWebWidget": true
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
kind: 'CUSTOM_URL',
label: 'string',
description: 'string',
mcpUrl: 'string',
bearerToken: 'string',
customHeadersJson: {},
metadata: {},
allowInDashboardTest: true,
allowInAutomation: true,
allowInWebWidget: true
})
};
fetch('https://api.notifique.dev/v1/mcp-connections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.notifique.dev/v1/mcp-connections"
payload = {
"kind": "CUSTOM_URL",
"label": "string",
"description": "string",
"mcpUrl": "string",
"bearerToken": "string",
"customHeadersJson": {},
"metadata": {},
"allowInDashboardTest": True,
"allowInAutomation": True,
"allowInWebWidget": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.notifique.dev/v1/mcp-connections"
payload := strings.NewReader("{\n \"kind\": \"CUSTOM_URL\",\n \"label\": \"string\",\n \"description\": \"string\",\n \"mcpUrl\": \"string\",\n \"bearerToken\": \"string\",\n \"customHeadersJson\": {},\n \"metadata\": {},\n \"allowInDashboardTest\": true,\n \"allowInAutomation\": true,\n \"allowInWebWidget\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"success": true,
"data": {}
}Autorizações
ntfAutoBearerAuthntfAutoApiKeyHeader
Authorization: Bearer sk_live_...
Corpo
application/json
Opções disponíveis:
CUSTOM_URL, CURATED_GOOGLE_CALENDAR, CURATED_GOOGLE_GMAIL, CURATED_GOOGLE_DRIVE, CURATED_MICROSOFT_GRAPH, CURATED_DROPBOX Show child attributes
Show child attributes
Esta página foi útil?

